"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var c=Object.create;var d=Object.defineProperty;var g=Object.getOwnPropertyDescriptor;var f=Object.getOwnPropertyNames;var b=Object.getPrototypeOf,x=Object.prototype.hasOwnProperty;var _=(o,t)=>()=>(t||o((t={exports:{}}).exports,t),t.exports);var w=(o,t,i,n)=>{if(t&&typeof t=="object"||typeof t=="function")for(let s of f(t))!x.call(o,s)&&s!==i&&d(o,s,{get:()=>t[s],enumerable:!(n=g(t,s))||n.enumerable});return o};var y=(o,t,i)=>(i=o!=null?c(b(o)):{},w(t||!o||!o.__esModule?d(i,"default",{value:o,enumerable:!0}):i,o));var u=_((I,m)=>{m.exports=Vue});var e=y(u()),v="/static/webview/brower.png",h="/static/webview/link.png",k="/static/webview/refresh.png",C=(0,e.defineComponent)({__name:"menu",setup(o){let{safeAreaInsets:t={bottom:0}}=uni.getSystemInfoSync(),i=(0,e.ref)("m.qywnl.com");uni.$on("subnvueMenu-host",s=>{i.value=s});let n=s=>{uni.$emit("subnvueMenu-tap",s)};return(s,r)=>((0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:"menu-window"},[(0,e.createElementVNode)("view",{class:"menu-mask",onClick:r[0]||(r[0]=p=>n("close"))}),(0,e.createElementVNode)("view",{class:"menu-body",style:(0,e.normalizeStyle)(`padding-bottom: ${(0,e.unref)(t).bottom}px`),onClick:(0,e.withModifiers)(()=>{},["stop"])},[(0,e.createElementVNode)("view",{class:"menu-body__tips"},[(0,e.createElementVNode)("u-text",{class:"txt"},"\u6B64\u7F51\u9875\u7531 "+(0,e.toDisplayString)(i.value)+" \u63D0\u4F9B",1)]),(0,e.createElementVNode)("view",{class:"menu-body__options"},[(0,e.createElementVNode)("view",{class:"option-item",onClick:r[1]||(r[1]=p=>n("open"))},[(0,e.createElementVNode)("view",{class:"img"},[(0,e.createElementVNode)("u-image",{class:"i",src:v,mode:"widthFix"})]),(0,e.createElementVNode)("u-text",{class:"name"},"\u5728\u6D4F\u89C8\u5668\u6253\u5F00")]),(0,e.createElementVNode)("view",{class:"option-item",onClick:r[2]||(r[2]=p=>n("link"))},[(0,e.createElementVNode)("view",{class:"img"},[(0,e.createElementVNode)("u-image",{class:"i",src:h,mode:"widthFix"})]),(0,e.createElementVNode)("u-text",{class:"name"},"\u590D\u5236\u94FE\u63A5")]),(0,e.createElementVNode)("view",{class:"option-item",onClick:r[3]||(r[3]=p=>n("refresh"))},[(0,e.createElementVNode)("view",{class:"img"},[(0,e.createElementVNode)("u-image",{class:"i",src:k,mode:"widthFix"})]),(0,e.createElementVNode)("u-text",{class:"name"},"\u5237\u65B0")])]),(0,e.createElementVNode)("view",{class:"menu-body__bottom",onClick:r[4]||(r[4]=p=>n("close"))},[(0,e.createElementVNode)("u-text",{class:"cancel"},"\u53D6\u6D88")])],4)])]))}}),T={"menu-mask":{"":{position:"fixed",bottom:0,left:0,right:0,top:0}},"menu-body":{"":{position:"fixed",bottom:0,left:0,right:0,zIndex:2,backgroundColor:"#f0f0f0",overflow:"hidden",borderTopLeftRadius:"20rpx",borderTopRightRadius:"20rpx"}},"menu-body__tips":{"":{display:"flex",alignItems:"center",justifyContent:"center",paddingTop:"20rpx",paddingRight:0,paddingBottom:"20rpx",paddingLeft:0}},txt:{".menu-body__tips ":{fontSize:"24rpx",color:"#999999"}},"menu-body__options":{"":{display:"flex",flexDirection:"row",justifyContent:"center",alignItems:"flex-start",paddingTop:"30rpx",paddingRight:0,paddingBottom:"30rpx",paddingLeft:0}},"option-item":{".menu-body__options ":{width:"100rpx",marginTop:0,marginRight:"30rpx",marginBottom:0,marginLeft:"30rpx"}},img:{".menu-body__options .option-item ":{width:"100rpx",height:"100rpx",borderRadius:"20rpx",backgroundColor:"#ffffff",display:"flex",justifyContent:"center",alignItems:"center"}},i:{".menu-body__options .option-item .img ":{width:"70rpx"}},name:{".menu-body__options .option-item ":{paddingTop:"10rpx",paddingRight:0,paddingBottom:"10rpx",paddingLeft:0,fontSize:"20rpx",textAlign:"center",color:"#333333"}},"menu-body__bottom":{"":{borderTopWidth:1,borderTopStyle:"solid",borderTopColor:"#ebebeb",paddingTop:"30rpx",paddingRight:"20rpx",paddingBottom:"50rpx",paddingLeft:"20rpx",display:"flex",alignItems:"center",justifyContent:"center"}},cancel:{".menu-body__bottom ":{color:"#666666",fontSize:"32rpx"}}},S=(o,t)=>{let i=o.__vccOpts||o;for(let[n,s]of t)i[n]=s;return i},l=S(C,[["styles",[T]]]);var a=plus.webview.currentWebview();if(a){let o=parseInt(a.id),t="webview/subnvue/menu",i={};try{i=JSON.parse(a.__query__)}catch(s){}l.mpType="page";let n=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:t,__pageQuery:i});n.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),n.mount("#root")}})();
